<?php
$tdatareg_contacto = array();
$tdatareg_contacto[".searchableFields"] = array();
$tdatareg_contacto[".ShortName"] = "reg_contacto";
$tdatareg_contacto[".OwnerID"] = "";
$tdatareg_contacto[".OriginalTable"] = "reg_contacto";


$tdatareg_contacto[".pagesByType"] = my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_movil\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" );
$tdatareg_contacto[".originalPagesByType"] = $tdatareg_contacto[".pagesByType"];
$tdatareg_contacto[".pages"] = types2pages( my_json_decode( "{\"add\":[\"add\"],\"edit\":[\"edit\"],\"export\":[\"export\"],\"import\":[\"import\"],\"list\":[\"list\",\"list_movil\"],\"print\":[\"print\"],\"search\":[\"search\"],\"view\":[\"view\"]}" ) );
$tdatareg_contacto[".originalPages"] = $tdatareg_contacto[".pages"];
$tdatareg_contacto[".defaultPages"] = my_json_decode( "{\"add\":\"add\",\"edit\":\"edit\",\"export\":\"export\",\"import\":\"import\",\"list\":\"list\",\"print\":\"print\",\"search\":\"search\",\"view\":\"view\"}" );
$tdatareg_contacto[".originalDefaultPages"] = $tdatareg_contacto[".defaultPages"];

//	field labels
$fieldLabelsreg_contacto = array();
$fieldToolTipsreg_contacto = array();
$pageTitlesreg_contacto = array();
$placeHoldersreg_contacto = array();

if(mlang_getcurrentlang()=="Spanish")
{
	$fieldLabelsreg_contacto["Spanish"] = array();
	$fieldToolTipsreg_contacto["Spanish"] = array();
	$placeHoldersreg_contacto["Spanish"] = array();
	$pageTitlesreg_contacto["Spanish"] = array();
	$fieldLabelsreg_contacto["Spanish"]["id"] = "Id";
	$fieldToolTipsreg_contacto["Spanish"]["id"] = "";
	$placeHoldersreg_contacto["Spanish"]["id"] = "";
	$fieldLabelsreg_contacto["Spanish"]["persona_id"] = "Persona";
	$fieldToolTipsreg_contacto["Spanish"]["persona_id"] = "";
	$placeHoldersreg_contacto["Spanish"]["persona_id"] = "";
	$fieldLabelsreg_contacto["Spanish"]["celular1"] = "Celular 1";
	$fieldToolTipsreg_contacto["Spanish"]["celular1"] = "";
	$placeHoldersreg_contacto["Spanish"]["celular1"] = "";
	$fieldLabelsreg_contacto["Spanish"]["whatsapp"] = "Whatsapp";
	$fieldToolTipsreg_contacto["Spanish"]["whatsapp"] = "";
	$placeHoldersreg_contacto["Spanish"]["whatsapp"] = "";
	$fieldLabelsreg_contacto["Spanish"]["celular2"] = "Celular 2";
	$fieldToolTipsreg_contacto["Spanish"]["celular2"] = "";
	$placeHoldersreg_contacto["Spanish"]["celular2"] = "";
	$fieldLabelsreg_contacto["Spanish"]["teloficina"] = "Tel. Oficina";
	$fieldToolTipsreg_contacto["Spanish"]["teloficina"] = "";
	$placeHoldersreg_contacto["Spanish"]["teloficina"] = "";
	$fieldLabelsreg_contacto["Spanish"]["extension"] = "Ext.";
	$fieldToolTipsreg_contacto["Spanish"]["extension"] = "";
	$placeHoldersreg_contacto["Spanish"]["extension"] = "";
	$fieldLabelsreg_contacto["Spanish"]["domicilio"] = "Domicilio";
	$fieldToolTipsreg_contacto["Spanish"]["domicilio"] = "";
	$placeHoldersreg_contacto["Spanish"]["domicilio"] = "";
	$fieldLabelsreg_contacto["Spanish"]["municipio"] = "Municipio";
	$fieldToolTipsreg_contacto["Spanish"]["municipio"] = "";
	$placeHoldersreg_contacto["Spanish"]["municipio"] = "";
	$fieldLabelsreg_contacto["Spanish"]["entidad"] = "Entidad";
	$fieldToolTipsreg_contacto["Spanish"]["entidad"] = "";
	$placeHoldersreg_contacto["Spanish"]["entidad"] = "";
	$fieldLabelsreg_contacto["Spanish"]["pais"] = "País";
	$fieldToolTipsreg_contacto["Spanish"]["pais"] = "";
	$placeHoldersreg_contacto["Spanish"]["pais"] = "";
	$fieldLabelsreg_contacto["Spanish"]["cp"] = "Cp";
	$fieldToolTipsreg_contacto["Spanish"]["cp"] = "";
	$placeHoldersreg_contacto["Spanish"]["cp"] = "";
	$fieldLabelsreg_contacto["Spanish"]["email1"] = "Email 1";
	$fieldToolTipsreg_contacto["Spanish"]["email1"] = "";
	$placeHoldersreg_contacto["Spanish"]["email1"] = "";
	$fieldLabelsreg_contacto["Spanish"]["email2"] = "Email 2";
	$fieldToolTipsreg_contacto["Spanish"]["email2"] = "";
	$placeHoldersreg_contacto["Spanish"]["email2"] = "";
	$fieldLabelsreg_contacto["Spanish"]["twitter"] = "Twitter";
	$fieldToolTipsreg_contacto["Spanish"]["twitter"] = "";
	$placeHoldersreg_contacto["Spanish"]["twitter"] = "";
	$fieldLabelsreg_contacto["Spanish"]["facebook"] = "Facebook";
	$fieldToolTipsreg_contacto["Spanish"]["facebook"] = "";
	$placeHoldersreg_contacto["Spanish"]["facebook"] = "";
	$fieldLabelsreg_contacto["Spanish"]["linkedin"] = "Linkedin";
	$fieldToolTipsreg_contacto["Spanish"]["linkedin"] = "";
	$placeHoldersreg_contacto["Spanish"]["linkedin"] = "";
	$fieldLabelsreg_contacto["Spanish"]["dir_mapa"] = "Dir Mapa";
	$fieldToolTipsreg_contacto["Spanish"]["dir_mapa"] = "";
	$placeHoldersreg_contacto["Spanish"]["dir_mapa"] = "";
	$fieldLabelsreg_contacto["Spanish"]["telegram"] = "Telegram";
	$fieldToolTipsreg_contacto["Spanish"]["telegram"] = "";
	$placeHoldersreg_contacto["Spanish"]["telegram"] = "";
	$pageTitlesreg_contacto["Spanish"]["add"] = "Nueva Ficha-Contacto de {%persona_id}";
	$pageTitlesreg_contacto["Spanish"]["view"] = "Contacto Personal {%persona_id}";
	if (count($fieldToolTipsreg_contacto["Spanish"]))
		$tdatareg_contacto[".isUseToolTips"] = true;
}


	$tdatareg_contacto[".NCSearch"] = true;



$tdatareg_contacto[".shortTableName"] = "reg_contacto";
$tdatareg_contacto[".nSecOptions"] = 0;

$tdatareg_contacto[".mainTableOwnerID"] = "";
$tdatareg_contacto[".entityType"] = 0;
$tdatareg_contacto[".connId"] = "omega2_at_localhost";


$tdatareg_contacto[".strOriginalTableName"] = "reg_contacto";

	



$tdatareg_contacto[".showAddInPopup"] = false;

$tdatareg_contacto[".showEditInPopup"] = false;

$tdatareg_contacto[".showViewInPopup"] = false;

//page's base css files names
$popupPagesLayoutNames = array();
$tdatareg_contacto[".popupPagesLayoutNames"] = $popupPagesLayoutNames;


$tdatareg_contacto[".listAjax"] = false;
//	temporary
$tdatareg_contacto[".listAjax"] = false;

	$tdatareg_contacto[".audit"] = false;

	$tdatareg_contacto[".locking"] = false;


$pages = $tdatareg_contacto[".defaultPages"];

if( $pages[PAGE_EDIT] ) {
	$tdatareg_contacto[".edit"] = true;
	$tdatareg_contacto[".afterEditAction"] = 0;
	$tdatareg_contacto[".closePopupAfterEdit"] = 1;
	$tdatareg_contacto[".afterEditActionDetTable"] = "";
}

if( $pages[PAGE_ADD] ) {
$tdatareg_contacto[".add"] = true;
$tdatareg_contacto[".afterAddAction"] = 1;
$tdatareg_contacto[".closePopupAfterAdd"] = 1;
$tdatareg_contacto[".afterAddActionDetTable"] = "";
}

if( $pages[PAGE_LIST] ) {
	$tdatareg_contacto[".list"] = true;
}



$tdatareg_contacto[".strSortControlSettingsJSON"] = "";




if( $pages[PAGE_VIEW] ) {
$tdatareg_contacto[".view"] = true;
}

if( $pages[PAGE_IMPORT] ) {
$tdatareg_contacto[".import"] = true;
}

if( $pages[PAGE_EXPORT] ) {
$tdatareg_contacto[".exportTo"] = true;
}

if( $pages[PAGE_PRINT] ) {
$tdatareg_contacto[".printFriendly"] = true;
}



$tdatareg_contacto[".showSimpleSearchOptions"] = true; // temp fix #13449

// Allow Show/Hide Fields in GRID
$tdatareg_contacto[".allowShowHideFields"] = true; // temp fix #13449
//

// Allow Fields Reordering in GRID
$tdatareg_contacto[".allowFieldsReordering"] = true; // temp fix #13449
//

$tdatareg_contacto[".isUseAjaxSuggest"] = true;

$tdatareg_contacto[".rowHighlite"] = true;





$tdatareg_contacto[".ajaxCodeSnippetAdded"] = false;

$tdatareg_contacto[".buttonsAdded"] = false;

$tdatareg_contacto[".addPageEvents"] = false;

// use timepicker for search panel
$tdatareg_contacto[".isUseTimeForSearch"] = false;


$tdatareg_contacto[".badgeColor"] = "778899";


$tdatareg_contacto[".allSearchFields"] = array();
$tdatareg_contacto[".filterFields"] = array();
$tdatareg_contacto[".requiredSearchFields"] = array();

$tdatareg_contacto[".googleLikeFields"] = array();
$tdatareg_contacto[".googleLikeFields"][] = "id";
$tdatareg_contacto[".googleLikeFields"][] = "persona_id";
$tdatareg_contacto[".googleLikeFields"][] = "celular1";
$tdatareg_contacto[".googleLikeFields"][] = "whatsapp";
$tdatareg_contacto[".googleLikeFields"][] = "telegram";
$tdatareg_contacto[".googleLikeFields"][] = "celular2";
$tdatareg_contacto[".googleLikeFields"][] = "teloficina";
$tdatareg_contacto[".googleLikeFields"][] = "extension";
$tdatareg_contacto[".googleLikeFields"][] = "domicilio";
$tdatareg_contacto[".googleLikeFields"][] = "municipio";
$tdatareg_contacto[".googleLikeFields"][] = "entidad";
$tdatareg_contacto[".googleLikeFields"][] = "pais";
$tdatareg_contacto[".googleLikeFields"][] = "cp";
$tdatareg_contacto[".googleLikeFields"][] = "email1";
$tdatareg_contacto[".googleLikeFields"][] = "email2";
$tdatareg_contacto[".googleLikeFields"][] = "twitter";
$tdatareg_contacto[".googleLikeFields"][] = "facebook";
$tdatareg_contacto[".googleLikeFields"][] = "linkedin";
$tdatareg_contacto[".googleLikeFields"][] = "dir_mapa";



$tdatareg_contacto[".tableType"] = "list";

$tdatareg_contacto[".printerPageOrientation"] = 0;
$tdatareg_contacto[".nPrinterPageScale"] = 100;

$tdatareg_contacto[".nPrinterSplitRecords"] = 40;

$tdatareg_contacto[".geocodingEnabled"] = false;










$tdatareg_contacto[".pageSize"] = 20;

$tdatareg_contacto[".warnLeavingPages"] = true;



$tstrOrderBy = "";
if(strlen($tstrOrderBy) && strtolower(substr($tstrOrderBy,0,8))!="order by")
	$tstrOrderBy = "order by ".$tstrOrderBy;
$tdatareg_contacto[".strOrderBy"] = $tstrOrderBy;

$tdatareg_contacto[".orderindexes"] = array();


$tdatareg_contacto[".sqlHead"] = "SELECT id,  	persona_id,  	celular1,  	whatsapp,  	telegram,  	celular2,  	teloficina,  	extension,  	domicilio,  	municipio,  	entidad,  	pais,  	cp,  	email1,  	email2,  	twitter,  	facebook,  	linkedin,  	dir_mapa";
$tdatareg_contacto[".sqlFrom"] = "FROM reg_contacto";
$tdatareg_contacto[".sqlWhereExpr"] = "";
$tdatareg_contacto[".sqlTail"] = "";










//fill array of records per page for list and report without group fields
$arrRPP = array();
$arrRPP[] = 10;
$arrRPP[] = 20;
$arrRPP[] = 30;
$arrRPP[] = 50;
$arrRPP[] = 100;
$arrRPP[] = 500;
$arrRPP[] = -1;
$tdatareg_contacto[".arrRecsPerPage"] = $arrRPP;

//fill array of groups per page for report with group fields
$arrGPP = array();
$arrGPP[] = 1;
$arrGPP[] = 3;
$arrGPP[] = 5;
$arrGPP[] = 10;
$arrGPP[] = 50;
$arrGPP[] = 100;
$arrGPP[] = -1;
$tdatareg_contacto[".arrGroupsPerPage"] = $arrGPP;

$tdatareg_contacto[".highlightSearchResults"] = true;

$tableKeysreg_contacto = array();
$tableKeysreg_contacto[] = "id";
$tdatareg_contacto[".Keys"] = $tableKeysreg_contacto;


$tdatareg_contacto[".hideMobileList"] = array();




//	id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 1;
	$fdata["strName"] = "id";
	$fdata["GoodName"] = "id";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","id");
	$fdata["FieldType"] = 3;

	
		$fdata["AutoInc"] = true;

	
			

		$fdata["strField"] = "id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



		$edata["IsRequired"] = true;

	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
		
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
				$edata["validateAs"]["basicValidate"][] = getJsValidatorName("Number");
						$edata["validateAs"]["basicValidate"][] = "IsRequired";
		
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["id"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "id";
//	persona_id
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 2;
	$fdata["strName"] = "persona_id";
	$fdata["GoodName"] = "persona_id";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","persona_id");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "persona_id";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "persona_id";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "persona";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "nombre";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
							
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["persona_id"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "persona_id";
//	celular1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 3;
	$fdata["strName"] = "celular1";
	$fdata["GoodName"] = "celular1";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","celular1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "celular1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "celular1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Hyperlink");

	
		$vdata["LinkPrefix"] ="tel:";

	
	
				$vdata["hlType"] = 2;
	$vdata["hlLinkWordNameType"] = "Text";
	$vdata["hlLinkWordText"] = "Link";
	$vdata["hlTitleField"] = "celular1";

	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["celular1"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "celular1";
//	whatsapp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 4;
	$fdata["strName"] = "whatsapp";
	$fdata["GoodName"] = "whatsapp";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","whatsapp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "whatsapp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "whatsapp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=150";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["whatsapp"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "whatsapp";
//	telegram
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 5;
	$fdata["strName"] = "telegram";
	$fdata["GoodName"] = "telegram";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","telegram");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "telegram";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "telegram";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=50";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["telegram"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "telegram";
//	celular2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 6;
	$fdata["strName"] = "celular2";
	$fdata["GoodName"] = "celular2";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","celular2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "celular2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "celular2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Hyperlink");

	
		$vdata["LinkPrefix"] ="tel:";

	
	
				$vdata["hlType"] = 2;
	$vdata["hlLinkWordNameType"] = "Text";
	$vdata["hlLinkWordText"] = "Link";
	$vdata["hlTitleField"] = "celular2";

	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["celular2"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "celular2";
//	teloficina
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 7;
	$fdata["strName"] = "teloficina";
	$fdata["GoodName"] = "teloficina";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","teloficina");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "teloficina";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "teloficina";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Hyperlink");

	
		$vdata["LinkPrefix"] ="tel:";

	
	
				$vdata["hlType"] = 2;
	$vdata["hlLinkWordNameType"] = "Text";
	$vdata["hlLinkWordText"] = "Link";
	$vdata["hlTitleField"] = "teloficina";

	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=15";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["teloficina"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "teloficina";
//	extension
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 8;
	$fdata["strName"] = "extension";
	$fdata["GoodName"] = "extension";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","extension");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "extension";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "extension";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=6";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["extension"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "extension";
//	domicilio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 9;
	$fdata["strName"] = "domicilio";
	$fdata["GoodName"] = "domicilio";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","domicilio");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "domicilio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "domicilio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["domicilio"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "domicilio";
//	municipio
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 10;
	$fdata["strName"] = "municipio";
	$fdata["GoodName"] = "municipio";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","municipio");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "municipio";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "municipio";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_municipio";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "municipio";

	

	
	$edata["LookupOrderBy"] = "";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "entidad", "lookup" => "entidad" );

	
	

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["municipio"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "municipio";
//	entidad
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 11;
	$fdata["strName"] = "entidad";
	$fdata["GoodName"] = "entidad";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","entidad");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "entidad";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "entidad";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_entidad";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "entidad";

	

	
	$edata["LookupOrderBy"] = "entidad";

	
		$edata["UseCategory"] = true;
	$edata["categoryFields"] = array();
	$edata["categoryFields"][] = array( "main" => "pais", "lookup" => "pais" );

	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "municipio";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["entidad"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "entidad";
//	pais
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 12;
	$fdata["strName"] = "pais";
	$fdata["GoodName"] = "pais";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","pais");
	$fdata["FieldType"] = 3;

	
	
	
			

		$fdata["strField"] = "pais";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "pais";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Lookup wizard");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	

// Begin Lookup settings
				$edata["LookupType"] = 2;
	$edata["LookupTable"] = "cat_paises";
			$edata["autoCompleteFieldsOnEdit"] = 0;
	$edata["autoCompleteFields"] = array();
		$edata["LCType"] = 0;

	
		
	$edata["LinkField"] = "id";
	$edata["LinkFieldType"] = 0;
	$edata["DisplayField"] = "pais";

	

	
	$edata["LookupOrderBy"] = "";

	
	
	
	
				//dependent dropdowns @deprecated data ?
	$edata["DependentLookups"] = array();
	$edata["DependentLookups"][] = "entidad";

	
	
		$edata["SelectSize"] = 1;

// End Lookup Settings


	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Equals";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["pais"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "pais";
//	cp
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 13;
	$fdata["strName"] = "cp";
	$fdata["GoodName"] = "cp";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","cp");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "cp";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "cp";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "");

	
	
	
	
	
	
	
	
	
	
	
		
	
		$vdata["NeedEncode"] = true;

	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=5";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["cp"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "cp";
//	email1
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 14;
	$fdata["strName"] = "email1";
	$fdata["GoodName"] = "email1";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","email1");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email1";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email1";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Email Hyperlink");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=120";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["email1"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "email1";
//	email2
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 15;
	$fdata["strName"] = "email2";
	$fdata["GoodName"] = "email2";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","email2");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "email2";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "email2";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Email Hyperlink");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=120";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["email2"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "email2";
//	twitter
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 16;
	$fdata["strName"] = "twitter";
	$fdata["GoodName"] = "twitter";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","twitter");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "twitter";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "twitter";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["twitter"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "twitter";
//	facebook
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 17;
	$fdata["strName"] = "facebook";
	$fdata["GoodName"] = "facebook";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","facebook");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "facebook";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "facebook";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["facebook"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "facebook";
//	linkedin
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 18;
	$fdata["strName"] = "linkedin";
	$fdata["GoodName"] = "linkedin";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","linkedin");
	$fdata["FieldType"] = 200;

	
	
	
			

		$fdata["strField"] = "linkedin";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "linkedin";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text field");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 1;

	
	
	
	
			$edata["HTML5InuptType"] = "text";

		$edata["EditParams"] = "";
			$edata["EditParams"].= " maxlength=100";

		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

	
			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["linkedin"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "linkedin";
//	dir_mapa
//	Custom field settings
	$fdata = array();
	$fdata["Index"] = 19;
	$fdata["strName"] = "dir_mapa";
	$fdata["GoodName"] = "dir_mapa";
	$fdata["ownerTable"] = "reg_contacto";
	$fdata["Label"] = GetFieldLabel("reg_contacto","dir_mapa");
	$fdata["FieldType"] = 201;

	
	
	
			

		$fdata["strField"] = "dir_mapa";

	
		$fdata["isSQLExpression"] = true;
	$fdata["FullName"] = "dir_mapa";

	
	
				$fdata["UploadFolder"] = "files";

//  Begin View Formats
	$fdata["ViewFormats"] = array();

	$vdata = array("ViewFormat" => "Custom");

	
	
	
	
	
	
	
	
	
	
	
		
	
	
	
		$vdata["truncateText"] = true;
	$vdata["NumberOfChars"] = 80;

	$fdata["ViewFormats"]["view"] = $vdata;
//  End View Formats

//	Begin Edit Formats
	$fdata["EditFormats"] = array();

	$edata = array("EditFormat" => "Text area");

	
		$edata["weekdayMessage"] = array("message" => "", "messageType" => "Text");
	$edata["weekdays"] = "[]";


	
	



	
	
	
	
			$edata["acceptFileTypes"] = ".+$";
		$edata["acceptFileTypesHtml"] = "";

		$edata["maxNumberOfFiles"] = 0;

	
	
	
				$edata["nRows"] = 100;
			$edata["nCols"] = 200;

	
	
		$edata["controlWidth"] = 200;

//	Begin validation
	$edata["validateAs"] = array();
	$edata["validateAs"]["basicValidate"] = array();
	$edata["validateAs"]["customMessages"] = array();
	
	
	//	End validation

		$edata["CreateThumbnail"] = true;
	$edata["StrThumbnail"] = "th";
			$edata["ThumbnailSize"] = 600;

			
	
	
	
	$fdata["EditFormats"]["edit"] = $edata;
//	End Edit Formats


	$fdata["isSeparate"] = false;




// the field's search options settings
		$fdata["defaultSearchOption"] = "Contains";

			// the default search options list
				$fdata["searchOptionsList"] = array("Contains", "Equals", "Starts with", "More than", "Less than", "Between", "Empty", NOT_EMPTY);
// the end of search options settings


//Filters settings
	$fdata["filterTotals"] = 0;
		$fdata["filterMultiSelect"] = 0;
			$fdata["filterFormat"] = "Values list";
		$fdata["showCollapsed"] = false;

		$fdata["sortValueType"] = 0;
		$fdata["numberOfVisibleItems"] = 10;

		$fdata["filterBy"] = 0;

	

	
	
//end of Filters settings


	$tdatareg_contacto["dir_mapa"] = $fdata;
		$tdatareg_contacto[".searchableFields"][] = "dir_mapa";


$tables_data["reg_contacto"]=&$tdatareg_contacto;
$field_labels["reg_contacto"] = &$fieldLabelsreg_contacto;
$fieldToolTips["reg_contacto"] = &$fieldToolTipsreg_contacto;
$placeHolders["reg_contacto"] = &$placeHoldersreg_contacto;
$page_titles["reg_contacto"] = &$pageTitlesreg_contacto;

// -----------------start  prepare master-details data arrays ------------------------------//
// tables which are detail tables for current table (master)
$detailsTablesData["reg_contacto"] = array();

// tables which are master tables for current table (detail)
$masterTablesData["reg_contacto"] = array();



	
				$strOriginalDetailsTable="persona";
	$masterParams = array();
	$masterParams["mDataSourceTable"]="persona";
	$masterParams["mOriginalTable"]= $strOriginalDetailsTable;
	$masterParams["mShortTable"]= "persona";
	$masterParams["masterKeys"]= array();
	$masterParams["detailKeys"]= array();

	$masterParams["type"] = PAGE_LIST;
					$masterTablesData["reg_contacto"][0] = $masterParams;
				$masterTablesData["reg_contacto"][0]["masterKeys"] = array();
	$masterTablesData["reg_contacto"][0]["masterKeys"][]="id";
				$masterTablesData["reg_contacto"][0]["detailKeys"] = array();
	$masterTablesData["reg_contacto"][0]["detailKeys"][]="persona_id";
		
// -----------------end  prepare master-details data arrays ------------------------------//



require_once(getabspath("classes/sql.php"));











function createSqlQuery_reg_contacto()
{
$proto0=array();
$proto0["m_strHead"] = "SELECT";
$proto0["m_strFieldList"] = "id,  	persona_id,  	celular1,  	whatsapp,  	telegram,  	celular2,  	teloficina,  	extension,  	domicilio,  	municipio,  	entidad,  	pais,  	cp,  	email1,  	email2,  	twitter,  	facebook,  	linkedin,  	dir_mapa";
$proto0["m_strFrom"] = "FROM reg_contacto";
$proto0["m_strWhere"] = "";
$proto0["m_strOrderBy"] = "";
	
		;
			$proto0["cipherer"] = null;
$proto2=array();
$proto2["m_sql"] = "";
$proto2["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto2["m_column"]=$obj;
$proto2["m_contained"] = array();
$proto2["m_strCase"] = "";
$proto2["m_havingmode"] = false;
$proto2["m_inBrackets"] = false;
$proto2["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto2);

$proto0["m_where"] = $obj;
$proto4=array();
$proto4["m_sql"] = "";
$proto4["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto4["m_column"]=$obj;
$proto4["m_contained"] = array();
$proto4["m_strCase"] = "";
$proto4["m_havingmode"] = false;
$proto4["m_inBrackets"] = false;
$proto4["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto4);

$proto0["m_having"] = $obj;
$proto0["m_fieldlist"] = array();
						$proto6=array();
			$obj = new SQLField(array(
	"m_strName" => "id",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto6["m_sql"] = "id";
$proto6["m_srcTableName"] = "reg_contacto";
$proto6["m_expr"]=$obj;
$proto6["m_alias"] = "";
$obj = new SQLFieldListItem($proto6);

$proto0["m_fieldlist"][]=$obj;
						$proto8=array();
			$obj = new SQLField(array(
	"m_strName" => "persona_id",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto8["m_sql"] = "persona_id";
$proto8["m_srcTableName"] = "reg_contacto";
$proto8["m_expr"]=$obj;
$proto8["m_alias"] = "";
$obj = new SQLFieldListItem($proto8);

$proto0["m_fieldlist"][]=$obj;
						$proto10=array();
			$obj = new SQLField(array(
	"m_strName" => "celular1",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto10["m_sql"] = "celular1";
$proto10["m_srcTableName"] = "reg_contacto";
$proto10["m_expr"]=$obj;
$proto10["m_alias"] = "";
$obj = new SQLFieldListItem($proto10);

$proto0["m_fieldlist"][]=$obj;
						$proto12=array();
			$obj = new SQLField(array(
	"m_strName" => "whatsapp",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto12["m_sql"] = "whatsapp";
$proto12["m_srcTableName"] = "reg_contacto";
$proto12["m_expr"]=$obj;
$proto12["m_alias"] = "";
$obj = new SQLFieldListItem($proto12);

$proto0["m_fieldlist"][]=$obj;
						$proto14=array();
			$obj = new SQLField(array(
	"m_strName" => "telegram",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto14["m_sql"] = "telegram";
$proto14["m_srcTableName"] = "reg_contacto";
$proto14["m_expr"]=$obj;
$proto14["m_alias"] = "";
$obj = new SQLFieldListItem($proto14);

$proto0["m_fieldlist"][]=$obj;
						$proto16=array();
			$obj = new SQLField(array(
	"m_strName" => "celular2",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto16["m_sql"] = "celular2";
$proto16["m_srcTableName"] = "reg_contacto";
$proto16["m_expr"]=$obj;
$proto16["m_alias"] = "";
$obj = new SQLFieldListItem($proto16);

$proto0["m_fieldlist"][]=$obj;
						$proto18=array();
			$obj = new SQLField(array(
	"m_strName" => "teloficina",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto18["m_sql"] = "teloficina";
$proto18["m_srcTableName"] = "reg_contacto";
$proto18["m_expr"]=$obj;
$proto18["m_alias"] = "";
$obj = new SQLFieldListItem($proto18);

$proto0["m_fieldlist"][]=$obj;
						$proto20=array();
			$obj = new SQLField(array(
	"m_strName" => "extension",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto20["m_sql"] = "extension";
$proto20["m_srcTableName"] = "reg_contacto";
$proto20["m_expr"]=$obj;
$proto20["m_alias"] = "";
$obj = new SQLFieldListItem($proto20);

$proto0["m_fieldlist"][]=$obj;
						$proto22=array();
			$obj = new SQLField(array(
	"m_strName" => "domicilio",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto22["m_sql"] = "domicilio";
$proto22["m_srcTableName"] = "reg_contacto";
$proto22["m_expr"]=$obj;
$proto22["m_alias"] = "";
$obj = new SQLFieldListItem($proto22);

$proto0["m_fieldlist"][]=$obj;
						$proto24=array();
			$obj = new SQLField(array(
	"m_strName" => "municipio",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto24["m_sql"] = "municipio";
$proto24["m_srcTableName"] = "reg_contacto";
$proto24["m_expr"]=$obj;
$proto24["m_alias"] = "";
$obj = new SQLFieldListItem($proto24);

$proto0["m_fieldlist"][]=$obj;
						$proto26=array();
			$obj = new SQLField(array(
	"m_strName" => "entidad",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto26["m_sql"] = "entidad";
$proto26["m_srcTableName"] = "reg_contacto";
$proto26["m_expr"]=$obj;
$proto26["m_alias"] = "";
$obj = new SQLFieldListItem($proto26);

$proto0["m_fieldlist"][]=$obj;
						$proto28=array();
			$obj = new SQLField(array(
	"m_strName" => "pais",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto28["m_sql"] = "pais";
$proto28["m_srcTableName"] = "reg_contacto";
$proto28["m_expr"]=$obj;
$proto28["m_alias"] = "";
$obj = new SQLFieldListItem($proto28);

$proto0["m_fieldlist"][]=$obj;
						$proto30=array();
			$obj = new SQLField(array(
	"m_strName" => "cp",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto30["m_sql"] = "cp";
$proto30["m_srcTableName"] = "reg_contacto";
$proto30["m_expr"]=$obj;
$proto30["m_alias"] = "";
$obj = new SQLFieldListItem($proto30);

$proto0["m_fieldlist"][]=$obj;
						$proto32=array();
			$obj = new SQLField(array(
	"m_strName" => "email1",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto32["m_sql"] = "email1";
$proto32["m_srcTableName"] = "reg_contacto";
$proto32["m_expr"]=$obj;
$proto32["m_alias"] = "";
$obj = new SQLFieldListItem($proto32);

$proto0["m_fieldlist"][]=$obj;
						$proto34=array();
			$obj = new SQLField(array(
	"m_strName" => "email2",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto34["m_sql"] = "email2";
$proto34["m_srcTableName"] = "reg_contacto";
$proto34["m_expr"]=$obj;
$proto34["m_alias"] = "";
$obj = new SQLFieldListItem($proto34);

$proto0["m_fieldlist"][]=$obj;
						$proto36=array();
			$obj = new SQLField(array(
	"m_strName" => "twitter",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto36["m_sql"] = "twitter";
$proto36["m_srcTableName"] = "reg_contacto";
$proto36["m_expr"]=$obj;
$proto36["m_alias"] = "";
$obj = new SQLFieldListItem($proto36);

$proto0["m_fieldlist"][]=$obj;
						$proto38=array();
			$obj = new SQLField(array(
	"m_strName" => "facebook",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto38["m_sql"] = "facebook";
$proto38["m_srcTableName"] = "reg_contacto";
$proto38["m_expr"]=$obj;
$proto38["m_alias"] = "";
$obj = new SQLFieldListItem($proto38);

$proto0["m_fieldlist"][]=$obj;
						$proto40=array();
			$obj = new SQLField(array(
	"m_strName" => "linkedin",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto40["m_sql"] = "linkedin";
$proto40["m_srcTableName"] = "reg_contacto";
$proto40["m_expr"]=$obj;
$proto40["m_alias"] = "";
$obj = new SQLFieldListItem($proto40);

$proto0["m_fieldlist"][]=$obj;
						$proto42=array();
			$obj = new SQLField(array(
	"m_strName" => "dir_mapa",
	"m_strTable" => "reg_contacto",
	"m_srcTableName" => "reg_contacto"
));

$proto42["m_sql"] = "dir_mapa";
$proto42["m_srcTableName"] = "reg_contacto";
$proto42["m_expr"]=$obj;
$proto42["m_alias"] = "";
$obj = new SQLFieldListItem($proto42);

$proto0["m_fieldlist"][]=$obj;
$proto0["m_fromlist"] = array();
												$proto44=array();
$proto44["m_link"] = "SQLL_MAIN";
			$proto45=array();
$proto45["m_strName"] = "reg_contacto";
$proto45["m_srcTableName"] = "reg_contacto";
$proto45["m_columns"] = array();
$proto45["m_columns"][] = "id";
$proto45["m_columns"][] = "persona_id";
$proto45["m_columns"][] = "celular1";
$proto45["m_columns"][] = "whatsapp";
$proto45["m_columns"][] = "telegram";
$proto45["m_columns"][] = "celular2";
$proto45["m_columns"][] = "teloficina";
$proto45["m_columns"][] = "extension";
$proto45["m_columns"][] = "domicilio";
$proto45["m_columns"][] = "municipio";
$proto45["m_columns"][] = "entidad";
$proto45["m_columns"][] = "pais";
$proto45["m_columns"][] = "cp";
$proto45["m_columns"][] = "email1";
$proto45["m_columns"][] = "email2";
$proto45["m_columns"][] = "twitter";
$proto45["m_columns"][] = "facebook";
$proto45["m_columns"][] = "linkedin";
$proto45["m_columns"][] = "dir_mapa";
$obj = new SQLTable($proto45);

$proto44["m_table"] = $obj;
$proto44["m_sql"] = "reg_contacto";
$proto44["m_alias"] = "";
$proto44["m_srcTableName"] = "reg_contacto";
$proto46=array();
$proto46["m_sql"] = "";
$proto46["m_uniontype"] = "SQLL_UNKNOWN";
	$obj = new SQLNonParsed(array(
	"m_sql" => ""
));

$proto46["m_column"]=$obj;
$proto46["m_contained"] = array();
$proto46["m_strCase"] = "";
$proto46["m_havingmode"] = false;
$proto46["m_inBrackets"] = false;
$proto46["m_useAlias"] = false;
$obj = new SQLLogicalExpr($proto46);

$proto44["m_joinon"] = $obj;
$obj = new SQLFromListItem($proto44);

$proto0["m_fromlist"][]=$obj;
$proto0["m_groupby"] = array();
$proto0["m_orderby"] = array();
$proto0["m_srcTableName"]="reg_contacto";		
$obj = new SQLQuery($proto0);

	return $obj;
}
$queryData_reg_contacto = createSqlQuery_reg_contacto();


	
		;

																			

$tdatareg_contacto[".sqlquery"] = $queryData_reg_contacto;



include_once(getabspath("include/reg_contacto_events.php"));
$tableEvents["reg_contacto"] = new eventclass_reg_contacto;
$tdatareg_contacto[".hasEvents"] = true;

?>